# -*- perl -*-
use lib 't';
use strict;
use warnings;
use SlackBuild::Registry::Record;
use Test;

plan tests => 6;

my $r = new SlackBuild::Registry::Record('foo',
	                                 arch => 'x86_64',
					 version => '1.0',
					 build => 1,
					 date => 0);

ok("$r", 'foo-1.0-x86_64-1');

my $x = new SlackBuild::Registry::Record('foo',
	                                 arch => 'x86_64',
					 version => '1.0',
					 build => 2,
					 date => 0);

ok($r < $x);
ok($r <=> $x, -1);

ok($r->matches(version => { -gt => '0.2' }));
ok($r->matches(version => { -gt => '0.2' },
	       arch => { -in => [ qw(i386 x86_64)] }) );
ok(!$r->matches(version => { -gt => '0.2' },
		arch => { -eq => 'i386' }));
